﻿using System.IO;
using HeuristicLab.Services.Optimization.Billing.Interfaces;

namespace HeuristicLab.Services.Optimization.Billing.BillingEngine {
  class FileSystemInvoiceDao : IInvoiceDao {
    private string rootPath;

    public FileSystemInvoiceDao()
      : this("") {

    }

    public FileSystemInvoiceDao(string rootPath) {
      this.rootPath = rootPath;
    }

    public bool SaveDocument(string documentName, string contents) {
      File.WriteAllText(rootPath + documentName, contents);
      return true;
    }

    public string LoadDocument(string documentName) {
      return File.ReadAllText(rootPath + documentName);
    }

    public void LoadDocument(string documentName, System.IO.Stream target) {
      byte[] contents = File.ReadAllBytes(rootPath + documentName);
      target = new MemoryStream(contents);
    }
  }
}
